using Hotline.Share.Enums.Order;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.OrderTranspond
{
    public class TranspondCityRawData : CreationEntity
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号")]
        public string OrderCode { get; set; }

        /// <summary>
        /// 转出/转入时间  
        /// </summary>
        [SugarColumn(ColumnDescription = "转出/转入时间  ")]
        public DateTime? TransferOutTime { get; set; }

        /// <summary>
        /// 推送次数
        /// </summary>
        [SugarColumn(ColumnDescription = "推送次数")]
        public int SendTimes { get; set; }

        /// <summary>
        /// 推送成功
        /// </summary>
        [SugarColumn(ColumnDescription = "推送成功")]
        public bool? IsSuccess { get; set; }

        /// <summary>
        /// 请求结果/转入数据
        /// </summary>
        [SugarColumn(ColumnDataType = "text", ColumnDescription = "返回数据")]
        public string? Result { get; set; }

        /// <summary>
        /// 市州名称
        /// </summary>
        [SugarColumn(ColumnDescription = "市州名称")]
        public string? CityName { get; set; }

        /// <summary>
        /// 转出或者转入
        /// </summary>
        [SugarColumn(ColumnDescription = "转出或者转入")]
        public ETranspondDirection Direction { get; set; }

        /// <summary>
        /// 接收方工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "接收方工单编号")]
        public string? NewCode { get; set; }

        /// <summary>
        /// 市州办理意见
        /// </summary>
        [SugarColumn(ColumnDescription = "接收方工单编号", ColumnDataType = "varchar(8000)")]
        public string? ActualOpinion { get; set; }
    }
}
